@import "@/styles/variables";

.top-container {
    grid-column: 1 / -1;
    display: grid;
    gap: 1rem;

    @include notebook {
        grid-column: 2 / 12;
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .add-dataset {
        height: 2.5rem;
        width: 100%;

        @include notebook {
            height: 3.5rem;
            width: fit-content;
        }
    }
}

.datasets-container {
    grid-column: 1 / -1;
    display: grid;
    row-gap: 2rem;
    grid-template-areas:
        "filters"
        "filterView"
        "datasets";

    @include notebook {
        grid-column: 2 / 12;
        column-gap: 1.5rem;
        grid-template:
            "filterView filterView"
            "filters datasets" / 25% auto;
    }

    @include desktop {
        column-gap: 2rem;
    }
}

.datasets-list {
    grid-area: datasets;
    align-items: center;
}
